> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a product

> Update an existing product's details.
    
    Can modify name, description, media, and other properties.
    Note: The product slug cannot be changed after creation to prevent broken URLs.



## OpenAPI

````yaml /api-reference/api-docs.yaml patch /v0/products/{productId}/update
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/products/{productId}/update:
    patch:
      tags:
        - products
      summary: Update a product
      description: |-
        Update an existing product's details.
            
            Can modify name, description, media, and other properties.
            Note: The product slug cannot be changed after creation to prevent broken URLs.
      operationId: PatchV0ProductsProductIdUpdate
      parameters:
        - name: productId
          in: path
          required: true
          description: PATCH /v0/products/:productId/update Parameter
          schema:
            $ref: >-
              #/components/schemas/PatchV0ProductsProductIdUpdateParameterProductId
      requestBody:
        description: PATCH /v0/products/:productId/update Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchV0ProductsProductIdUpdateRequestBody'
      responses:
        '200':
          description: PATCH /v0/products/:productId/update Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0ProductsProductIdUpdatePositiveResponse
        '400':
          description: PATCH /v0/products/:productId/update Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0ProductsProductIdUpdateNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    PatchV0ProductsProductIdUpdateParameterProductId:
      type: string
      format: uuid
    PatchV0ProductsProductIdUpdateRequestBody:
      allOf:
        - type: object
        - allOf:
            - type: object
              properties: {}
              required: []
            - oneOf:
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 150
                    description:
                      type: string
                      default: ''
                    cover:
                      type: string
                    coverBlurHash:
                      type: string
                    coverVideo:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    gallery:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                          blurHash:
                            type: string
                        required:
                          - value
                      maxItems: 10
                    trailer:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    featureCoverVideo:
                      type: boolean
                    genres:
                      type: array
                      items:
                        type: string
                        enum:
                          - Action
                          - Action RPG
                          - Adventure
                          - Arcade
                          - Arcade Racing
                          - Battle Royale
                          - Beat 'em up
                          - Board Game
                          - Card Game
                          - Casual
                          - Co-op
                          - Educational
                          - Fighting
                          - FPS
                          - Horror
                          - Indie
                          - Interactive Story
                          - Japanese RPG
                          - Logic Game
                          - MMO
                          - Management
                          - Metroidvania
                          - Mini-games
                          - Multiplayer
                          - Open World
                          - Party
                          - Platformer
                          - Puzzle
                          - RPG
                          - Racing
                          - Real-Time Strategy
                          - Roguelike
                          - Rhythm
                          - Sandbox
                          - Shooter
                          - Simulation
                          - Simulation Racing
                          - Sports
                          - Strategy
                          - Survival
                          - Tactical RPG
                          - TPS
                          - Turn-Based Strategy
                          - Visual Novel
                          - Point & Click
                          - Interactive Fiction
                          - Hidden Object
                    features:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                        required:
                          - value
                    status:
                      type: string
                      enum:
                        - DRAFT
                        - ACTIVE
                        - HIDDEN
                    externalId:
                      type: string
                    projectId:
                      type: string
                      format: uuid
                    systems:
                      type: array
                      items:
                        type: string
                        enum:
                          - Windows
                          - MacOs
                          - Linux
                          - PlayStation 4
                          - PlayStation 5
                          - Xbox One
                          - Xbox Series X|S
                          - iOS
                          - Android
                          - Nintendo Switch
                          - Nintendo 3DS
                    offers:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          currency:
                            type: string
                            enum:
                              - AFN
                              - ALL
                              - DZD
                              - AOA
                              - ARS
                              - AMD
                              - AWG
                              - AUD
                              - AZN
                              - BSD
                              - BDT
                              - BBD
                              - BZD
                              - BMD
                              - BOB
                              - BAM
                              - BWP
                              - BRL
                              - BHD
                              - GBP
                              - BND
                              - BGN
                              - BIF
                              - BYN
                              - KHR
                              - CAD
                              - CVE
                              - KYD
                              - KWD
                              - XAF
                              - XPF
                              - CLP
                              - CNY
                              - COP
                              - KMF
                              - CDF
                              - CRC
                              - HRK
                              - CZK
                              - DKK
                              - DJF
                              - DOP
                              - XCD
                              - EGP
                              - ETB
                              - EUR
                              - FKP
                              - FJD
                              - GMD
                              - GEL
                              - GIP
                              - GTQ
                              - GNF
                              - GYD
                              - HTG
                              - HNL
                              - HKD
                              - HUF
                              - ISK
                              - INR
                              - IDR
                              - ILS
                              - JMD
                              - JPY
                              - JOD
                              - KZT
                              - KES
                              - KGS
                              - LAK
                              - LBP
                              - LSL
                              - LRD
                              - MOP
                              - MKD
                              - MGA
                              - MWK
                              - MYR
                              - MVR
                              - MRO
                              - MUR
                              - MXN
                              - MDL
                              - MNT
                              - MAD
                              - MZN
                              - MMK
                              - NAD
                              - NPR
                              - ANG
                              - TWD
                              - NZD
                              - NIO
                              - NGN
                              - NOK
                              - OMR
                              - PKR
                              - PAB
                              - PGK
                              - PYG
                              - PEN
                              - PHP
                              - PLN
                              - QAR
                              - RON
                              - RUB
                              - RWF
                              - SHP
                              - SVC
                              - WST
                              - STD
                              - SAR
                              - RSD
                              - SCR
                              - SLL
                              - SGD
                              - SBD
                              - SOS
                              - ZAR
                              - KRW
                              - LKR
                              - SRD
                              - SZL
                              - SEK
                              - CHF
                              - TJS
                              - TZS
                              - THB
                              - TND
                              - TOP
                              - TTD
                              - TRY
                              - UGX
                              - UAH
                              - AED
                              - UYU
                              - USD
                              - UZS
                              - VUV
                              - VEF
                              - VND
                              - XOF
                              - YER
                              - ZMW
                              - SLE
                              - XCG
                              - SSP
                              - VES
                              - MRU
                              - STN
                              - VED
                          price:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: 0
                            maximum: 1.7976931348623157e+308
                          originalPrice:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: 0
                            maximum: 1.7976931348623157e+308
                          freeProduct:
                            type: boolean
                            default: false
                          limit:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 0
                            maximum: 9007199254740991
                          region:
                            type: string
                            enum:
                              - Global
                              - Europe
                              - Argentina
                              - United States
                              - Turkey
                              - United Kingdom
                              - Latin America
                              - Brazil
                              - Canada
                              - Mexico
                              - Germany
                              - Colombia
                              - France
                              - Saudi Arabia
                              - Australia
                              - Spain
                              - India
                              - Italy
                              - Netherlands
                              - United Arab Emirates
                              - North America
                              - Poland
                              - Belgium
                              - Asia
                              - Egypt
                              - Austria
                              - Singapore
                              - EMEA
                              - Ireland
                              - RU/CIS
                              - Sweden
                              - Portugal
                              - Switzerland
                              - New Zealand
                              - Malaysia
                              - Finland
                              - Greece
                              - Norway
                              - Denmark
                              - Japan
                              - Hong Kong
                              - Philippines
                              - Middle East
                              - Indonesia
                              - Czech Republic
                              - South Africa
                              - South Korea
                              - Luxembourg
                              - Slovakia
                              - Romania
                              - Slovenia
                              - Hungary
                              - Chile
                              - Nigeria
                              - Thailand
                              - Kuwait
                              - Vietnam
                              - Rest of the World
                              - Bahrain
                              - Qatar
                          platform:
                            type: string
                            enum:
                              - Meta Quest
                              - TV
                              - Music
                              - Tidal
                              - Tinder
                              - Zalando
                              - Razer
                              - Netflix
                              - Spotify
                              - Walmart
                              - Amazon
                              - Food
                              - Prepaid
                              - Steam
                              - Xbox Live
                              - Origin
                              - PSN
                              - Ubisoft Connect
                              - Nintendo
                              - Official Website
                              - GOG.com
                              - Epic Games
                              - Windows Store
                              - Battle.net
                              - Riot Games
                              - Steam Gift Card
                              - Roblox
                              - Green gift
                              - EA App
                              - Rockstar Games Launcher
                              - ArenaNet
                              - PUBG
                              - App Store
                              - Google Play
                              - Mobile
                              - Other
                              - Rockstar
                            default: Global
                          recurringInterval:
                            type:
                              - string
                              - 'null'
                            enum:
                              - day
                              - month
                              - week
                              - year
                          recurringIntervalCount:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 1
                            maximum: 9007199254740991
                          trialInterval:
                            type:
                              - string
                              - 'null'
                            enum:
                              - day
                              - month
                              - week
                              - year
                          trialIntervalCount:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 1
                            maximum: 9007199254740991
                          gtin:
                            oneOf:
                              - type: string
                              - type: string
                                minLength: 12
                                maxLength: 14
                          externalId:
                            type: string
                          variantId:
                            type: string
                            format: uuid
                          variantIdx:
                            type: integer
                            format: int64
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          fileName:
                            type: string
                          downloadFile:
                            type: string
                          downloadFileName:
                            type: string
                          downloadFileSize:
                            type: number
                            format: double
                            minimum: -1.7976931348623157e+308
                            maximum: 1.7976931348623157e+308
                          downloadDescription:
                            type: string
                          productKeys:
                            type: array
                            items:
                              type: string
                              minLength: 1
                          hasDiscount:
                            type: boolean
                          warningMessage:
                            type: string
                          mutableQuantity:
                            type: boolean
                          tags:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                name:
                                  type: string
                                  minLength: 1
                                  maxLength: 100
                              required:
                                - id
                                - name
                          downloadFileData:
                            type:
                              - object
                              - 'null'
                            properties:
                              chunks:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    chunk:
                                      format: any
                                    metadata:
                                      type: object
                                      properties:
                                        number:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        start:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        end:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        size:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                      required:
                                        - number
                                        - start
                                        - end
                                        - size
                                  required:
                                    - chunk
                                    - metadata
                              totalChunks:
                                type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                                maximum: 1.7976931348623157e+308
                              totalSize:
                                type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                                maximum: 1.7976931348623157e+308
                            required:
                              - chunks
                              - totalChunks
                              - totalSize
                          downloadFileType:
                            type:
                              - string
                              - 'null'
                        required:
                          - currency
                          - price
                          - limit
                    variants:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          features:
                            type: array
                            items:
                              type: object
                              properties:
                                value:
                                  type: string
                              required:
                                - value
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          coverVideo:
                            type: string
                          externalId:
                            type: string
                        required:
                          - name
                    customFields:
                      type: array
                      items:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                const: text
                              label:
                                type: string
                                minLength: 3
                              placeholder:
                                type: string
                              regex:
                                type: string
                              validationUrl:
                                oneOf:
                                  - type: string
                                    const: ''
                                  - type: string
                                    format: url
                              validationUrlSecret:
                                type: string
                              values:
                                description: This value will never be returned in this type
                                not: {}
                            required:
                              - id
                              - type
                              - label
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                const: select
                              label:
                                type: string
                                minLength: 3
                              placeholder:
                                type: string
                              values:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      minLength: 1
                                  required:
                                    - name
                                minItems: 1
                              regex:
                                description: This value will never be returned in this type
                                not: {}
                              validationUrl:
                                description: This value will never be returned in this type
                                not: {}
                              validationUrlSecret:
                                description: This value will never be returned in this type
                                not: {}
                            required:
                              - id
                              - type
                              - label
                              - values
                    productRedeemMessage:
                      type: string
                    tags:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                            minLength: 1
                            maxLength: 100
                        required:
                          - id
                          - name
                    type:
                      type: string
                      const: Game
                    developer:
                      type: string
                    publisher:
                      type: string
                    pegiRating:
                      type: string
                      enum:
                        - '3'
                        - '7'
                        - '12'
                        - '16'
                        - '18'
                        - '!'
                    releaseDate:
                      type:
                        - integer
                        - 'null'
                      format: int64
                      minimum: 0
                      maximum: 9007199254740991
                    requirements:
                      type: object
                      properties:
                        minimum:
                          type: array
                          items:
                            type: object
                            properties:
                              system:
                                type: string
                                enum:
                                  - Windows
                                  - MacOs
                                  - Linux
                                  - PlayStation 4
                                  - PlayStation 5
                                  - Xbox One
                                  - Xbox Series X|S
                                  - iOS
                                  - Android
                                  - Nintendo Switch
                                  - Nintendo 3DS
                              requirement:
                                type: string
                                minLength: 1
                              value:
                                type: string
                                minLength: 1
                            required:
                              - system
                              - requirement
                              - value
                        recommended:
                          type: array
                          items:
                            type: object
                            properties:
                              system:
                                type: string
                                enum:
                                  - Windows
                                  - MacOs
                                  - Linux
                                  - PlayStation 4
                                  - PlayStation 5
                                  - Xbox One
                                  - Xbox Series X|S
                                  - iOS
                                  - Android
                                  - Nintendo Switch
                                  - Nintendo 3DS
                              requirement:
                                type: string
                                minLength: 1
                              value:
                                type: string
                                minLength: 1
                            required:
                              - system
                              - requirement
                              - value
                    id:
                      type: string
                      format: uuid
                  required:
                    - id
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 150
                    description:
                      type: string
                      default: ''
                    cover:
                      type: string
                    coverBlurHash:
                      type: string
                    coverVideo:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    gallery:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                          blurHash:
                            type: string
                        required:
                          - value
                      maxItems: 10
                    trailer:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    featureCoverVideo:
                      type: boolean
                    genres:
                      type: array
                      items:
                        type: string
                        enum:
                          - Action
                          - Action RPG
                          - Adventure
                          - Arcade
                          - Arcade Racing
                          - Battle Royale
                          - Beat 'em up
                          - Board Game
                          - Card Game
                          - Casual
                          - Co-op
                          - Educational
                          - Fighting
                          - FPS
                          - Horror
                          - Indie
                          - Interactive Story
                          - Japanese RPG
                          - Logic Game
                          - MMO
                          - Management
                          - Metroidvania
                          - Mini-games
                          - Multiplayer
                          - Open World
                          - Party
                          - Platformer
                          - Puzzle
                          - RPG
                          - Racing
                          - Real-Time Strategy
                          - Roguelike
                          - Rhythm
                          - Sandbox
                          - Shooter
                          - Simulation
                          - Simulation Racing
                          - Sports
                          - Strategy
                          - Survival
                          - Tactical RPG
                          - TPS
                          - Turn-Based Strategy
                          - Visual Novel
                          - Point & Click
                          - Interactive Fiction
                          - Hidden Object
                    features:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                        required:
                          - value
                    status:
                      type: string
                      enum:
                        - DRAFT
                        - ACTIVE
                        - HIDDEN
                    externalId:
                      type: string
                    projectId:
                      type: string
                      format: uuid
                    systems:
                      type: array
                      items:
                        type: string
                        enum:
                          - Windows
                          - MacOs
                          - Linux
                          - PlayStation 4
                          - PlayStation 5
                          - Xbox One
                          - Xbox Series X|S
                          - iOS
                          - Android
                          - Nintendo Switch
                          - Nintendo 3DS
                    offers:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          currency:
                            type: string
                            enum:
                              - AFN
                              - ALL
                              - DZD
                              - AOA
                              - ARS
                              - AMD
                              - AWG
                              - AUD
                              - AZN
                              - BSD
                              - BDT
                              - BBD
                              - BZD
                              - BMD
                              - BOB
                              - BAM
                              - BWP
                              - BRL
                              - BHD
                              - GBP
                              - BND
                              - BGN
                              - BIF
                              - BYN
                              - KHR
                              - CAD
                              - CVE
                              - KYD
                              - KWD
                              - XAF
                              - XPF
                              - CLP
                              - CNY
                              - COP
                              - KMF
                              - CDF
                              - CRC
                              - HRK
                              - CZK
                              - DKK
                              - DJF
                              - DOP
                              - XCD
                              - EGP
                              - ETB
                              - EUR
                              - FKP
                              - FJD
                              - GMD
                              - GEL
                              - GIP
                              - GTQ
                              - GNF
                              - GYD
                              - HTG
                              - HNL
                              - HKD
                              - HUF
                              - ISK
                              - INR
                              - IDR
                              - ILS
                              - JMD
                              - JPY
                              - JOD
                              - KZT
                              - KES
                              - KGS
                              - LAK
                              - LBP
                              - LSL
                              - LRD
                              - MOP
                              - MKD
                              - MGA
                              - MWK
                              - MYR
                              - MVR
                              - MRO
                              - MUR
                              - MXN
                              - MDL
                              - MNT
                              - MAD
                              - MZN
                              - MMK
                              - NAD
                              - NPR
                              - ANG
                              - TWD
                              - NZD
                              - NIO
                              - NGN
                              - NOK
                              - OMR
                              - PKR
                              - PAB
                              - PGK
                              - PYG
                              - PEN
                              - PHP
                              - PLN
                              - QAR
                              - RON
                              - RUB
                              - RWF
                              - SHP
                              - SVC
                              - WST
                              - STD
                              - SAR
                              - RSD
                              - SCR
                              - SLL
                              - SGD
                              - SBD
                              - SOS
                              - ZAR
                              - KRW
                              - LKR
                              - SRD
                              - SZL
                              - SEK
                              - CHF
                              - TJS
                              - TZS
                              - THB
                              - TND
                              - TOP
                              - TTD
                              - TRY
                              - UGX
                              - UAH
                              - AED
                              - UYU
                              - USD
                              - UZS
                              - VUV
                              - VEF
                              - VND
                              - XOF
                              - YER
                              - ZMW
                              - SLE
                              - XCG
                              - SSP
                              - VES
                              - MRU
                              - STN
                              - VED
                          price:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: 0
                            maximum: 1.7976931348623157e+308
                          originalPrice:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: 0
                            maximum: 1.7976931348623157e+308
                          freeProduct:
                            type: boolean
                            default: false
                          limit:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 0
                            maximum: 9007199254740991
                          region:
                            type: string
                            enum:
                              - Global
                              - Europe
                              - Argentina
                              - United States
                              - Turkey
                              - United Kingdom
                              - Latin America
                              - Brazil
                              - Canada
                              - Mexico
                              - Germany
                              - Colombia
                              - France
                              - Saudi Arabia
                              - Australia
                              - Spain
                              - India
                              - Italy
                              - Netherlands
                              - United Arab Emirates
                              - North America
                              - Poland
                              - Belgium
                              - Asia
                              - Egypt
                              - Austria
                              - Singapore
                              - EMEA
                              - Ireland
                              - RU/CIS
                              - Sweden
                              - Portugal
                              - Switzerland
                              - New Zealand
                              - Malaysia
                              - Finland
                              - Greece
                              - Norway
                              - Denmark
                              - Japan
                              - Hong Kong
                              - Philippines
                              - Middle East
                              - Indonesia
                              - Czech Republic
                              - South Africa
                              - South Korea
                              - Luxembourg
                              - Slovakia
                              - Romania
                              - Slovenia
                              - Hungary
                              - Chile
                              - Nigeria
                              - Thailand
                              - Kuwait
                              - Vietnam
                              - Rest of the World
                              - Bahrain
                              - Qatar
                          platform:
                            type: string
                            enum:
                              - Meta Quest
                              - TV
                              - Music
                              - Tidal
                              - Tinder
                              - Zalando
                              - Razer
                              - Netflix
                              - Spotify
                              - Walmart
                              - Amazon
                              - Food
                              - Prepaid
                              - Steam
                              - Xbox Live
                              - Origin
                              - PSN
                              - Ubisoft Connect
                              - Nintendo
                              - Official Website
                              - GOG.com
                              - Epic Games
                              - Windows Store
                              - Battle.net
                              - Riot Games
                              - Steam Gift Card
                              - Roblox
                              - Green gift
                              - EA App
                              - Rockstar Games Launcher
                              - ArenaNet
                              - PUBG
                              - App Store
                              - Google Play
                              - Mobile
                              - Other
                              - Rockstar
                            default: Global
                          recurringInterval:
                            type:
                              - string
                              - 'null'
                            enum:
                              - day
                              - month
                              - week
                              - year
                          recurringIntervalCount:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 1
                            maximum: 9007199254740991
                          trialInterval:
                            type:
                              - string
                              - 'null'
                            enum:
                              - day
                              - month
                              - week
                              - year
                          trialIntervalCount:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 1
                            maximum: 9007199254740991
                          gtin:
                            oneOf:
                              - type: string
                              - type: string
                                minLength: 12
                                maxLength: 14
                          externalId:
                            type: string
                          variantId:
                            type: string
                            format: uuid
                          variantIdx:
                            type: integer
                            format: int64
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          fileName:
                            type: string
                          downloadFile:
                            type: string
                          downloadFileName:
                            type: string
                          downloadFileSize:
                            type: number
                            format: double
                            minimum: -1.7976931348623157e+308
                            maximum: 1.7976931348623157e+308
                          downloadDescription:
                            type: string
                          productKeys:
                            type: array
                            items:
                              type: string
                              minLength: 1
                          hasDiscount:
                            type: boolean
                          warningMessage:
                            type: string
                          mutableQuantity:
                            type: boolean
                          tags:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                name:
                                  type: string
                                  minLength: 1
                                  maxLength: 100
                              required:
                                - id
                                - name
                          downloadFileData:
                            type:
                              - object
                              - 'null'
                            properties:
                              chunks:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    chunk:
                                      format: any
                                    metadata:
                                      type: object
                                      properties:
                                        number:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        start:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        end:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        size:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                      required:
                                        - number
                                        - start
                                        - end
                                        - size
                                  required:
                                    - chunk
                                    - metadata
                              totalChunks:
                                type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                                maximum: 1.7976931348623157e+308
                              totalSize:
                                type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                                maximum: 1.7976931348623157e+308
                            required:
                              - chunks
                              - totalChunks
                              - totalSize
                          downloadFileType:
                            type:
                              - string
                              - 'null'
                        required:
                          - currency
                          - price
                          - limit
                    variants:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          features:
                            type: array
                            items:
                              type: object
                              properties:
                                value:
                                  type: string
                              required:
                                - value
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          coverVideo:
                            type: string
                          externalId:
                            type: string
                        required:
                          - name
                    customFields:
                      type: array
                      items:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                const: text
                              label:
                                type: string
                                minLength: 3
                              placeholder:
                                type: string
                              regex:
                                type: string
                              validationUrl:
                                oneOf:
                                  - type: string
                                    const: ''
                                  - type: string
                                    format: url
                              validationUrlSecret:
                                type: string
                              values:
                                description: This value will never be returned in this type
                                not: {}
                            required:
                              - id
                              - type
                              - label
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                const: select
                              label:
                                type: string
                                minLength: 3
                              placeholder:
                                type: string
                              values:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      minLength: 1
                                  required:
                                    - name
                                minItems: 1
                              regex:
                                description: This value will never be returned in this type
                                not: {}
                              validationUrl:
                                description: This value will never be returned in this type
                                not: {}
                              validationUrlSecret:
                                description: This value will never be returned in this type
                                not: {}
                            required:
                              - id
                              - type
                              - label
                              - values
                    productRedeemMessage:
                      type: string
                    tags:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                            minLength: 1
                            maxLength: 100
                        required:
                          - id
                          - name
                    type:
                      type: string
                      const: VirtualItem
                    requirements:
                      description: This value will never be returned in this type
                      not: {}
                    developer:
                      description: This value will never be returned in this type
                      not: {}
                    publisher:
                      description: This value will never be returned in this type
                      not: {}
                    pegiRating:
                      description: This value will never be returned in this type
                      not: {}
                    releaseDate:
                      description: This value will never be returned in this type
                      not: {}
                    id:
                      type: string
                      format: uuid
                  required:
                    - id
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 150
                    description:
                      type: string
                      default: ''
                    cover:
                      type: string
                    coverBlurHash:
                      type: string
                    coverVideo:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    gallery:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                          blurHash:
                            type: string
                        required:
                          - value
                      maxItems: 10
                    trailer:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    featureCoverVideo:
                      type: boolean
                    genres:
                      type: array
                      items:
                        type: string
                        enum:
                          - Action
                          - Action RPG
                          - Adventure
                          - Arcade
                          - Arcade Racing
                          - Battle Royale
                          - Beat 'em up
                          - Board Game
                          - Card Game
                          - Casual
                          - Co-op
                          - Educational
                          - Fighting
                          - FPS
                          - Horror
                          - Indie
                          - Interactive Story
                          - Japanese RPG
                          - Logic Game
                          - MMO
                          - Management
                          - Metroidvania
                          - Mini-games
                          - Multiplayer
                          - Open World
                          - Party
                          - Platformer
                          - Puzzle
                          - RPG
                          - Racing
                          - Real-Time Strategy
                          - Roguelike
                          - Rhythm
                          - Sandbox
                          - Shooter
                          - Simulation
                          - Simulation Racing
                          - Sports
                          - Strategy
                          - Survival
                          - Tactical RPG
                          - TPS
                          - Turn-Based Strategy
                          - Visual Novel
                          - Point & Click
                          - Interactive Fiction
                          - Hidden Object
                    features:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                        required:
                          - value
                    status:
                      type: string
                      enum:
                        - DRAFT
                        - ACTIVE
                        - HIDDEN
                    externalId:
                      type: string
                    projectId:
                      type: string
                      format: uuid
                    systems:
                      type: array
                      items:
                        type: string
                        enum:
                          - Windows
                          - MacOs
                          - Linux
                          - PlayStation 4
                          - PlayStation 5
                          - Xbox One
                          - Xbox Series X|S
                          - iOS
                          - Android
                          - Nintendo Switch
                          - Nintendo 3DS
                    offers:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          currency:
                            type: string
                            enum:
                              - AFN
                              - ALL
                              - DZD
                              - AOA
                              - ARS
                              - AMD
                              - AWG
                              - AUD
                              - AZN
                              - BSD
                              - BDT
                              - BBD
                              - BZD
                              - BMD
                              - BOB
                              - BAM
                              - BWP
                              - BRL
                              - BHD
                              - GBP
                              - BND
                              - BGN
                              - BIF
                              - BYN
                              - KHR
                              - CAD
                              - CVE
                              - KYD
                              - KWD
                              - XAF
                              - XPF
                              - CLP
                              - CNY
                              - COP
                              - KMF
                              - CDF
                              - CRC
                              - HRK
                              - CZK
                              - DKK
                              - DJF
                              - DOP
                              - XCD
                              - EGP
                              - ETB
                              - EUR
                              - FKP
                              - FJD
                              - GMD
                              - GEL
                              - GIP
                              - GTQ
                              - GNF
                              - GYD
                              - HTG
                              - HNL
                              - HKD
                              - HUF
                              - ISK
                              - INR
                              - IDR
                              - ILS
                              - JMD
                              - JPY
                              - JOD
                              - KZT
                              - KES
                              - KGS
                              - LAK
                              - LBP
                              - LSL
                              - LRD
                              - MOP
                              - MKD
                              - MGA
                              - MWK
                              - MYR
                              - MVR
                              - MRO
                              - MUR
                              - MXN
                              - MDL
                              - MNT
                              - MAD
                              - MZN
                              - MMK
                              - NAD
                              - NPR
                              - ANG
                              - TWD
                              - NZD
                              - NIO
                              - NGN
                              - NOK
                              - OMR
                              - PKR
                              - PAB
                              - PGK
                              - PYG
                              - PEN
                              - PHP
                              - PLN
                              - QAR
                              - RON
                              - RUB
                              - RWF
                              - SHP
                              - SVC
                              - WST
                              - STD
                              - SAR
                              - RSD
                              - SCR
                              - SLL
                              - SGD
                              - SBD
                              - SOS
                              - ZAR
                              - KRW
                              - LKR
                              - SRD
                              - SZL
                              - SEK
                              - CHF
                              - TJS
                              - TZS
                              - THB
                              - TND
                              - TOP
                              - TTD
                              - TRY
                              - UGX
                              - UAH
                              - AED
                              - UYU
                              - USD
                              - UZS
                              - VUV
                              - VEF
                              - VND
                              - XOF
                              - YER
                              - ZMW
                              - SLE
                              - XCG
                              - SSP
                              - VES
                              - MRU
                              - STN
                              - VED
                          price:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: 0
                            maximum: 1.7976931348623157e+308
                          originalPrice:
                            type:
                              - number
                              - 'null'
                            format: double
                            minimum: 0
                            maximum: 1.7976931348623157e+308
                          freeProduct:
                            type: boolean
                            default: false
                          limit:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 0
                            maximum: 9007199254740991
                          region:
                            type: string
                            enum:
                              - Global
                              - Europe
                              - Argentina
                              - United States
                              - Turkey
                              - United Kingdom
                              - Latin America
                              - Brazil
                              - Canada
                              - Mexico
                              - Germany
                              - Colombia
                              - France
                              - Saudi Arabia
                              - Australia
                              - Spain
                              - India
                              - Italy
                              - Netherlands
                              - United Arab Emirates
                              - North America
                              - Poland
                              - Belgium
                              - Asia
                              - Egypt
                              - Austria
                              - Singapore
                              - EMEA
                              - Ireland
                              - RU/CIS
                              - Sweden
                              - Portugal
                              - Switzerland
                              - New Zealand
                              - Malaysia
                              - Finland
                              - Greece
                              - Norway
                              - Denmark
                              - Japan
                              - Hong Kong
                              - Philippines
                              - Middle East
                              - Indonesia
                              - Czech Republic
                              - South Africa
                              - South Korea
                              - Luxembourg
                              - Slovakia
                              - Romania
                              - Slovenia
                              - Hungary
                              - Chile
                              - Nigeria
                              - Thailand
                              - Kuwait
                              - Vietnam
                              - Rest of the World
                              - Bahrain
                              - Qatar
                          platform:
                            type: string
                            enum:
                              - Meta Quest
                              - TV
                              - Music
                              - Tidal
                              - Tinder
                              - Zalando
                              - Razer
                              - Netflix
                              - Spotify
                              - Walmart
                              - Amazon
                              - Food
                              - Prepaid
                              - Steam
                              - Xbox Live
                              - Origin
                              - PSN
                              - Ubisoft Connect
                              - Nintendo
                              - Official Website
                              - GOG.com
                              - Epic Games
                              - Windows Store
                              - Battle.net
                              - Riot Games
                              - Steam Gift Card
                              - Roblox
                              - Green gift
                              - EA App
                              - Rockstar Games Launcher
                              - ArenaNet
                              - PUBG
                              - App Store
                              - Google Play
                              - Mobile
                              - Other
                              - Rockstar
                            default: Global
                          recurringInterval:
                            type:
                              - string
                              - 'null'
                            enum:
                              - day
                              - month
                              - week
                              - year
                          recurringIntervalCount:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 1
                            maximum: 9007199254740991
                          trialInterval:
                            type:
                              - string
                              - 'null'
                            enum:
                              - day
                              - month
                              - week
                              - year
                          trialIntervalCount:
                            type:
                              - integer
                              - 'null'
                            format: int64
                            minimum: 1
                            maximum: 9007199254740991
                          gtin:
                            oneOf:
                              - type: string
                              - type: string
                                minLength: 12
                                maxLength: 14
                          externalId:
                            type: string
                          variantId:
                            type: string
                            format: uuid
                          variantIdx:
                            type: integer
                            format: int64
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          fileName:
                            type: string
                          downloadFile:
                            type: string
                          downloadFileName:
                            type: string
                          downloadFileSize:
                            type: number
                            format: double
                            minimum: -1.7976931348623157e+308
                            maximum: 1.7976931348623157e+308
                          downloadDescription:
                            type: string
                          productKeys:
                            type: array
                            items:
                              type: string
                              minLength: 1
                          hasDiscount:
                            type: boolean
                          warningMessage:
                            type: string
                          mutableQuantity:
                            type: boolean
                          tags:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                name:
                                  type: string
                                  minLength: 1
                                  maxLength: 100
                              required:
                                - id
                                - name
                          downloadFileData:
                            type:
                              - object
                              - 'null'
                            properties:
                              chunks:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    chunk:
                                      format: any
                                    metadata:
                                      type: object
                                      properties:
                                        number:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        start:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        end:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                        size:
                                          type: number
                                          format: double
                                          minimum: -1.7976931348623157e+308
                                          maximum: 1.7976931348623157e+308
                                      required:
                                        - number
                                        - start
                                        - end
                                        - size
                                  required:
                                    - chunk
                                    - metadata
                              totalChunks:
                                type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                                maximum: 1.7976931348623157e+308
                              totalSize:
                                type: number
                                format: double
                                minimum: -1.7976931348623157e+308
                                maximum: 1.7976931348623157e+308
                            required:
                              - chunks
                              - totalChunks
                              - totalSize
                          downloadFileType:
                            type:
                              - string
                              - 'null'
                        required:
                          - currency
                          - price
                          - limit
                    variants:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          features:
                            type: array
                            items:
                              type: object
                              properties:
                                value:
                                  type: string
                              required:
                                - value
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          coverVideo:
                            type: string
                          externalId:
                            type: string
                        required:
                          - name
                    customFields:
                      type: array
                      items:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                const: text
                              label:
                                type: string
                                minLength: 3
                              placeholder:
                                type: string
                              regex:
                                type: string
                              validationUrl:
                                oneOf:
                                  - type: string
                                    const: ''
                                  - type: string
                                    format: url
                              validationUrlSecret:
                                type: string
                              values:
                                description: This value will never be returned in this type
                                not: {}
                            required:
                              - id
                              - type
                              - label
                          - type: object
                            properties:
                              id:
                                type: string
                                minLength: 1
                              type:
                                type: string
                                const: select
                              label:
                                type: string
                                minLength: 3
                              placeholder:
                                type: string
                              values:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      minLength: 1
                                  required:
                                    - name
                                minItems: 1
                              regex:
                                description: This value will never be returned in this type
                                not: {}
                              validationUrl:
                                description: This value will never be returned in this type
                                not: {}
                              validationUrlSecret:
                                description: This value will never be returned in this type
                                not: {}
                            required:
                              - id
                              - type
                              - label
                              - values
                    productRedeemMessage:
                      type: string
                    tags:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                            minLength: 1
                            maxLength: 100
                        required:
                          - id
                          - name
                    type:
                      type: string
                      const: VirtualCurrency
                    requirements:
                      description: This value will never be returned in this type
                      not: {}
                    developer:
                      description: This value will never be returned in this type
                      not: {}
                    publisher:
                      description: This value will never be returned in this type
                      not: {}
                    pegiRating:
                      description: This value will never be returned in this type
                      not: {}
                    releaseDate:
                      description: This value will never be returned in this type
                      not: {}
                    id:
                      type: string
                      format: uuid
                  required:
                    - id
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 150
                    description:
                      type: string
                      default: ''
                    cover:
                      type: string
                    coverBlurHash:
                      type: string
                    coverVideo:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    gallery:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                          blurHash:
                            type: string
                        required:
                          - value
                      maxItems: 10
                    trailer:
                      oneOf:
                        - type: string
                          format: url
                        - type: string
                          const: ''
                    featureCoverVideo:
                      type: boolean
                    genres:
                      type: array
                      items:
                        type: string
                        enum:
                          - Action
                          - Action RPG
                          - Adventure
                          - Arcade
                          - Arcade Racing
                          - Battle Royale
                          - Beat 'em up
                          - Board Game
                          - Card Game
                          - Casual
                          - Co-op
                          - Educational
                          - Fighting
                          - FPS
                          - Horror
                          - Indie
                          - Interactive Story
                          - Japanese RPG
                          - Logic Game
                          - MMO
                          - Management
                          - Metroidvania
                          - Mini-games
                          - Multiplayer
                          - Open World
                          - Party
                          - Platformer
                          - Puzzle
                          - RPG
                          - Racing
                          - Real-Time Strategy
                          - Roguelike
                          - Rhythm
                          - Sandbox
                          - Shooter
                          - Simulation
                          - Simulation Racing
                          - Sports
                          - Strategy
                          - Survival
                          - Tactical RPG
                          - TPS
                          - Turn-Based Strategy
                          - Visual Novel
                          - Point & Click
                          - Interactive Fiction
                          - Hidden Object
                    features:
                      type: array
                      items:
                        type: object
                        properties:
                          value:
                            type: string
                        required:
                          - value
                    status:
                      type: string
                      enum:
                        - DRAFT
                        - ACTIVE
                        - HIDDEN
                    externalId:
                      type: string
                    projectId:
                      type: string
                      format: uuid
                    systems:
                      type: array
                      items:
                        type: string
                        enum:
                          - Windows
                          - MacOs
                          - Linux
                          - PlayStation 4
                          - PlayStation 5
                          - Xbox One
                          - Xbox Series X|S
                          - iOS
                          - Android
                          - Nintendo Switch
                          - Nintendo 3DS
                    offers:
                      type: array
                      items:
                        type: object
                        properties:
                          name:
                            type: string
                            minLength: 1
                            maxLength: 150
                          description:
                            type: string
                            default: ''
                          cover:
                            type: string
                          coverBlurHash:
                            type: string
                          currency:
                            type: string
                            enum:
                              - AFN
                              - ALL
                              - DZD
                              - AOA
                              - ARS
                              - AMD
                              - AWG
                              - AUD
                              - AZN
                              - BSD
                              - BDT
                              - BBD
                              - BZD
                              - BMD
                              - BOB
                              - BAM
                              - BWP
                              - BRL
                              - BHD
                              - GBP
                              - BND
                              - BGN
                              - BIF
                              - BYN
                              - KHR
                              - CAD
                              - CVE
                              - KYD
                              - KWD
                              - XAF
                              - XPF
                              - CLP
                              - CNY
                              - COP
                              - KMF
                              - CDF
                              - CRC
                              - HRK
                              - CZK
                              - DKK
                              - DJF
                              - DOP
                              - XCD
                              - EGP
                              - ETB
                              - EUR
                              - FKP
                              - FJD
                              - GMD
                              - GEL
                              - GIP
                              - GTQ
                              - GNF
                              - GYD
                              - HTG
                              - HNL
                              - HKD
                              - HUF
                              - ISK
                              - INR
                              - IDR
                              - ILS
                              - JMD
                              - JPY
                              - JOD
                              - KZT
                              - KES
                              - KGS
                              - LAK
                              - LBP
                              - LSL
                              - LRD
                              - MOP
                              - MKD
                              - MGA
[...]
